#Set up code signing

if ["${PLATFORM_NAME}" -eq "iphoneos"]
then 
/usr/bin/codesign -s "${CODE_SIGN_IDENTITY}" "${TARGET_BUILD_DIR}/${TARGET_NAME}.app"
cd "${TARGET_BUILD_DIR}"

#set up paths, and values in plist
#customize the next two lines
pathToFTPScript="/Users/${USER}/Coding/Scripts/UploadBuild.command"
urlForIpa="http://myurl.com/apps/${TARGET_NAME}.ipa"

#these values remain constant
applicationPath="${TARGET_BUILD_DIR}/${TARGET_NAME}.app"
bundleVersion=$(defaults read "$applicationPath/Info" CFBundleVersion)
bundleIdentifier=$(defaults read "$applicationPath/Info" CFBundleIdentifier)
bundleShortVersionString=$(defaults read "$applicationPath/Info" CFBundleShortVersionString)

#package the ipa
rm -rf Payload
rm -f "${TARGET_NAME}".*.ipa
mkdir Payload
cp -Rp "${TARGET_NAME}.app" Payload/
if [ -f "${PROJECT_DIR}"/iTunesArtwork ] ; then
cp -f "${PROJECT_DIR}"/iTunesArtwork Payload/iTunesArtwork
fi
zip -r "${TARGET_NAME}.ipa" Payload

#create the plist
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<!DOCTYPE plist PUBLIC \"-//Apple//DTD PLIST 1.0//EN\" \"http://www.apple.com/DTDs/PropertyList-1.0.dtd\">
<plist version=\"1.0\">
<dict>
<key>items</key>
<array>
<dict>
<key>assets</key>
<array>
<dict>
<key>kind</key>
<string>software-package</string>
<key>url</key>
<string>$urlForIpa</string>
</dict>
</array>
<key>metadata</key>
<dict>
<key>bundle-identifier</key>
<string>$bundleIdentifier</string>
<key>bundle-version</key>
<string>$bundleVersion </string>
<key>kind</key>
<string>software</string>
<key>title</key>
<string>${TARGET_NAME}</string>
</dict>
</dict>
</array>
</dict>
</plist>" > "${TARGET_NAME}.plist"

#call upload script
sh $pathToFTPScript "${TARGET_NAME}"
fi